#!/bin/bash

# Runs all examples in the example app 'example1/lib/main.dart'.
# As the examples run, each has to be manually terminated (swipe up) on the device.

if [[ "$1" == "--help" ]]; then
  echo Usage: tool/flutter_run_app_examples.sh
  exit 1 
fi
  
#  This script can only run from project top directory.
if [ -z "$(find . -maxdepth 1 -type d -name integration_test)" ]; then 
  echo Execution directory must be from project top direcroty. Failed the test for presence of directory integration_test, exiting.
  exit 1
fi


# Source script which starts emulator and generates program named $examples_descriptor_generated_program. 
#   This program can run either integration test (flutter driver) or the app (flutter run), 
#   depending on parameters.
# See the sourced script below for details of variable and contents of $examples_descriptor_generated_program.
source tool/test/start_emulator_and_generate_examples_descriptor.sh
examples_descriptor_generated_program=$examples_descriptor_generated_program

echo
echo -------------------------------------
echo Running the app with all examples generated by the examples_descriptor.
bash -x "$examples_descriptor_generated_program" "flutter run --device-id=$device_id" "example1/lib/main.dart"
